slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPGetType

Gets the NEP type as a string from the NEP object.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetType(NEP nep,NEPType *type)

Not Collective

### Input Parameter

| nep | - the eigensolver context

### Output Parameter

| name | - name of NEP method

### See Also

NEPSetType()

Location: src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/nep/examples/tutorials/ex20.c.html
src/nep/examples/tutorials/ex27.c.html
src/nep/examples/tutorials/ex20f90.F90.html
src/nep/examples/tutorials/ex22f90.F90.html
src/nep/examples/tutorials/ex27f90.F90.html